Glue Up API
User CollectionEvent CollectionSubscription CollectionMembership CollectionFinance Collection
User CollectionEvent CollectionSubscription CollectionMembership CollectionFinance Collection
  1. Finance Collection
  • Retrieve Finance Invoice List
    POST
  • Retrieve One Finance Invoice
    GET
  1. Finance Collection

Retrieve Finance Invoice List

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
POST
/finance/invoice/list
Retrieve the finance invoice list of an organization. This endpoint returns an array of invoice by status and 'date'.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Finance invoice list returned
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-demo-story.glueup.com/v2/finance/invoice/list' \
--header 'a;' \
--header 'Content-Type: application/json' \
--data '{
    "projection": [],
    "limit": 20,
    "offset": 0,
    "filter": [
        {
            "projection": "status",
            "operator": "eq",
            "values": [
                "Overdue"
            ]
        }
    ],
    "order": {
        "createdOn": "desc"
    }
}'
Response Response Example
[
    {
        "id": 668551,
        "organizationId": 2018,
        "number": "APP_INV000413",
        "title": "Invoice",
        "currency": "CNY",
        "faceTotal": 0.01,
        "balanceDue": 0.01,
        "proforma": false,
        "purchaserGivenName": "Andrea",
        "purchaserFamilyName": "Jurincic",
        "purchaserEmail": "andrea.jurincic@glueup.com",
        "origin": "MembershipApplication",
        "voided": false,
        "createdOn": 1698739549000,
        "lastModified": 1698739549000,
        "issueDate": 1698739548592,
        "dueDate": 1701273601000
    },
    {
        "id": 668550,
        "organizationId": 2018,
        "number": "APP_INV000412",
        "title": "Invoice",
        "currency": "CNY",
        "faceTotal": 41.82,
        "balanceDue": 41.82,
        "proforma": false,
        "purchaserGivenName": "Shamsa1111y",
        "purchaserFamilyName": "Ashraf",
        "purchaserEmail": "shamsa.ashraf@glueup.com",
        "purchaserPhone": "",
        "purchaserCompanyName": "CEO & SUSTAINABILITY ADVISOR OF COPELAND & PARTNERSHIP LTD",
        "purchaserPositionTitle": "z",
        "origin": "MembershipApplication",
        "voided": false,
        "createdOn": 1698739503000,
        "lastModified": 1733290178000,
        "issueDate": 1698739503255,
        "dueDate": 1701273601000
    },
    {
        "id": 667974,
        "organizationId": 2018,
        "number": "INV000325",
        "title": "Invoice",
        "currency": "USD",
        "faceTotal": 1995.84,
        "balanceDue": 1995.84,
        "proforma": false,
        "origin": "Custom",
        "voided": false,
        "createdOn": 1695882947000,
        "lastModified": 1695882993000,
        "issueDate": 1695882947000,
        "dueDate": 1698422401000
    },
    {
        "id": 667969,
        "organizationId": 2018,
        "number": "INV000324",
        "title": "Invoice",
        "currency": "USD",
        "faceTotal": 1229.92,
        "balanceDue": 1229.92,
        "proforma": false,
        "origin": "Custom",
        "voided": false,
        "createdOn": 1695875005000,
        "lastModified": 1695875033000,
        "issueDate": 1695875005000,
        "dueDate": 1698422401000
    },
    {
        "id": 667520,
        "organizationId": 2018,
        "number": "INV000323",
        "title": "Invoice",
        "currency": "USD",
        "faceTotal": 10,
        "balanceDue": 10,
        "proforma": false,
        "origin": "Custom",
        "voided": false,
        "createdOn": 1692711909000,
        "lastModified": 1692711915000,
        "issueDate": 1692711908000,
        "dueDate": 1695225601000
    }
]
Modified at 2026-06-11 06:40:13
Next
Retrieve One Finance Invoice
Built with